cmocka (2.0.0-1) experimental; urgency=medium

  * Upload new major to experimental

  [ Andreas Schneider ]
  * tests: Raise segmentation fault
  * include: Document cmocka_print_error()
  * cmocka: Correctly implement assert_int_equal()
  * cmocka: Correctly implement assert_int_not_equal()
  * cmocka: Add assert_uint_equal()
  * cmocka: Implement assert_uint_not_equal()
  * cmocka: Add assert_int_in_range()
  * include: Add cmocka_version.h
  * cmocka: Deprecate assert_in_range()
  * cmocka: Add assert_int_not_in_range()
  * cmocka: Add assert_uint_not_in_range()
  * cmocka: Deprecate assert_not_in_range()
  * cmocka: Add assert_int_in_set()
  * cmocka: Add assert_int_not_in_set()
  * cmocka: Add assert_uint_in_set()
  * cmocka: Add assert_uint_not_in_set()
  * cmocka: Deprecate assert_in_set
  * include: Move values in CMockaValueData union around
  * include: Add assign_(int|uint|double|ptr)_to_cmocka_value() macros
  * include: Add specific will_return and mock macros for different types
  * cmake: Use C99 and define GNU and POSIX flags directly at source files
  * cmocka: Add expect_int_in_set_count()
  * cmocka: Add expect_uint_in_set_count()
  * cmocka: Add support for expect_(not_)double(_count)()
  * cmocka: Implement expect_(u)int_not_in_set()
  * cmocka: Implement expect_(u)int_in_range(_count)()
  * cmocka: Implement expect_(u)int_not_in_range(_count)()
  * cmocka: Implement expect_(u)int_value(_count)()
  * cmocka: Implement expect_(u)int_not_value(_count)()
  * cmocka: Add mock_(parameter_)double()
  * cmocka: Implement has_mock()
  * fix(double): Fix floating-point comparison
  * fix(assert): Fix pointer asserts with functions pointers
  * feat(mock): Add will_return_*_count() macro for int/uint/float/double
  * feat(mock): Add will_return_*_always() macros for int/uint/float/double
  * feat(mock): Add will_return_*_maybe() macros for int/uint/float/double
  * feat(mock): Add will_set_parameter_*_count() macro for int/uint/float/double
  * feat(mock): Add will_set_parameter_*_always() macros for
    int/uint/float/double
  * feat(mock): Add will_set_parameter_*_maybe() macros for
    int/uint/float/double
  * fix(macros): Deprecated old will_return_* and will_set_parameter_* macros
  * feat(example): Add expect_check_data() examples
  * feat(output): Add support for TAP 14
  * docs(changelog): Write changelog in markdown and document version 2.0.0
  * feat(doc): Use doxygen-awesome-css theme
  * chore(cmake): Set minimum required version to 3.13
  * Bump version to 2.0.0

  [ Alexander Dahl ]
  * cmocka: Add overflow check for test_calloc()

  [ NikLeberg ]
  * feature: add multiple simultaneous outputs

  [ Carsten Lange ]
  * Add new feature stop

  [ Evan Miller ]
  * Always pass stack-protector flag to linker

  [ Ammar Ratnani ]
  * Fix issue with fail_msg

  [ Wolfram Ladurner ]
  * Avoid NULL pointer dereference in _function_called (fix for
    cmocka/cmocka#66).

  [ Alois Klink ]
  * src: set MALLOC_ALIGNMENT to `16`
  * cmocka: Make expect_check to use CMockaValueData
  * cmocka: Change `_mock` to return CMockaValueData
  * cmocka: Improve pointer assert functions

  [ Xiang Xiao ]
  * cmocka.c: Reduce the call stack consumption of printf

  [ Eshan Kelkar ]
  * Make assert_true(), assert_false() more verbose

  [ Jakub Czapiga ]
  * Improve c_strreplace implementation
  * Sanitize XML strings.

  [ Dionna Glaze ]
  * Rename COPYING to LICENSE

  [ Richard Hughes ]
  * Add a SBOM template in CycloneDX format

  [ Michael Werle ]
  * feat(output-override): add a way to override the output functions

  [ Norbert Pocs ]
  * Add expect_(not_)float
  * Add float(_not)_in_set features
  * Add assert_float(_not)_in_set
  * Add assert_float(_not)_in_range
  * Add expect_float(_not)_in_range

  [ Sigrid Solveig Haflínudóttir ]
  * assert_(double|float)_(not_|)_equal: precision based on epsilon

  [ Jacob Abrams ]
  * Fix float comparison for INFINITY and NAN, add unit tests

  [ Štěpán Balážik ]
  * cmocka: Escape slashes in XML output

  [ Simon Gassner ]
  * Improve cmocka_set_test_filter and cmocka_set_skip_filter
  * implement test and skip filter from environment variables

  [ David Prévot ]
  * Update copyright
  * Extend installed files in libcmocka0
  * Update symbols
  * Expand metadata
  * Use doxygen-awesome-css

 -- David Prévot <taffit@debian.org>  Wed, 10 Dec 2025 12:07:45 +0100

cmocka (1.1.8-2) unstable; urgency=medium

  * Upload to unstable now that trixie has been released
  * Remove Rules-Requires-Root

 -- David Prévot <taffit@debian.org>  Tue, 09 Dec 2025 07:39:25 +0100

cmocka (1.1.8-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Alexander Dahl ]
  * tests: Add test for test_calloc()
  * cmocka: Add overflow check for test_calloc()
  * cmake: Set CMOCKA_LIBRARIES in package config for backwards compatibility

  [ Jakub Czapiga ]
  * Improve c_strreplace implementation
  * Sanitize XML strings.

  [ Alois Klink ]
  * cmake: disable `-Wdeclaration-after-statement`

  [ Joseph Sutton ]
  * cmocka: Fix assert_memory_equal() display

  [ Andreas Schneider ]
  * doc: Fix pre-defined macro definition
  * tests: Add missing stdint.h
  * Update check for uintptr_t
  * cmake: Require at least version 3.10
  * Bump version to 1.1.8

  [ Yegor Yefremov ]
  * CMakeLists.txt: remove an obsolete policy

  [ David Prévot ]
  * Update Standards-Version to 4.7.2

 -- David Prévot <taffit@debian.org>  Sun, 20 Jul 2025 17:26:04 +0200

cmocka (1.1.7-3) unstable; urgency=medium

  * Add patch to set CMOCKA_LIBRARIES (Closes: #1060177, #1060178, #1060179,
    #1060178).

 -- Sandro Knauß <hefee@debian.org>  Sun, 07 Jan 2024 10:27:53 +0100

cmocka (1.1.7-2) unstable; urgency=medium

  + Upload to unstable.
  * Disable lto as it fails (#1015370).

 -- Sandro Knauß <hefee@debian.org>  Tue, 19 Dec 2023 15:39:17 +0100

cmocka (1.1.7-1) experimental; urgency=medium

  [ Andreas Schneider ]
  * cpack: Update ignore files for source package generation
  * Bump version to 1.1.7

 -- David Prévot <taffit@debian.org>  Fri, 24 Feb 2023 06:01:43 +0100

cmocka (1.1.6-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Dima Krasner ]
  * meson: Initial Meson build system support

  [ Arnaud Gelas ]
  * cmocka: Add new assert macros to compare 2 double given an epsilon.

  [ Paolo Teti ]
  * Fix possible loss of data reported by MSVC
  * Fix MSVC warning on conversion from 'time_t' to 'double'

  [ Andreas Schneider ]
  * include: Update copyright year info
  * Bump version 1.1.6

  [ Matthias Schiffer ]
  * Fix TAP output for skipped tests

  [ Sergey Bronnikov ]
  * cmocka: add header with version to TAP13 output

  [ Ammar Ratnani ]
  * Fix issue with fail_msg

  [ David Prévot ]
  * Add debian/gbp.conf
  * Update copyright (years)
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.6.2, no changes needed.
  * Set Rules-Requires-Root: no.
  * Update symbols

 -- David Prévot <taffit@debian.org>  Fri, 17 Feb 2023 22:12:16 +0100

cmocka (1.1.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
  * Bump debhelper from old 12 to 13.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.6.0, no changes needed.
  * Fix field name case in debian/control (Build-Depends-indep =>
    Build-Depends-Indep).

  [ Vagrant Cascadian ]
  * debian/patches: Disable embedding of full path names in documentation
    generated by doxygen. (Closes: #991181)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Thu, 29 Dec 2022 10:55:47 -0800

cmocka (1.1.5-2) unstable; urgency=medium

  * Upload to unstable now that buster has been released
  * Update standards version, no changes needed.
  * Set upstream metadata fields: Contact, Name.

 -- David Prévot <taffit@debian.org>  Sat, 10 Aug 2019 17:34:42 -1000

cmocka (1.1.5-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Andreas Schneider ]
  * Bump version to 1.1.5

  [ David Prévot ]
  * Use debhelper-compat 12
  * Update Standards-Version to 4.3.0
  * Update copyright

 -- David Prévot <taffit@debian.org>  Sun, 31 Mar 2019 21:45:18 -1000

cmocka (1.1.3-1) unstable; urgency=medium

  [ Andreas Schneider ]
  * Bump version to 1.1.3

  [ David Prévot ]
  * Use debhelper-compat 11
  * Drop get-orig-source target
  * Declare minimum required cmake version (Closes: #908385)
  * Update copyright
  * Drop static libraries not built anymore

 -- David Prévot <taffit@debian.org>  Fri, 28 Sep 2018 17:43:00 -1000

cmocka (1.1.2-1) unstable; urgency=medium

  [ Andreas Schneider ]
  * Bump version to 1.1.2

  [ Sandro Knauß ]
  * Cleanup changelog

  [ David Prévot ]
  * Update d/watch to currently signed file
  * Use priority optional
  * Move project repository to salsa.d.o
  * Update Standards-Version to 4.2.1
  * Use HTTPS URLs
  * Update copyright
  * Update documentation building rule
  * Update symbols file

 -- David Prévot <taffit@debian.org>  Thu, 30 Aug 2018 15:13:09 -1000

cmocka (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1 (Closes: #861266)
  * watch file:
    - match newer versions
    - Enable gpg signature for orig tarballs.
      (#731725 was solved in meanwhile)
  * Change my own mailaddress to hefee@debian.org
  * Updated VCS links to secure protocol
  * Update symbols for new version on amd64
  * Update multiarch metadata
  * Bump Standards-Version:
    - Change link to changelog format to secure version.
  * Bump compat level to 10 (No changes needed)
  * Add hardening=+all to rules.
  * Update signing key for orig tarballs

 -- Sandro Knauß <hefee@debian.org>  Tue, 04 Jul 2017 12:09:10 +0200

cmocka (1.0.1-3) unstable; urgency=medium

  * Do not run tests when building doc (Closes: #806610)
  * Update Standards-Version to 3.9.8

 -- David Prévot <taffit@debian.org>  Sun, 28 Aug 2016 16:53:27 -1000

cmocka (1.0.1-2) unstable; urgency=medium

  * Upload to unstable since Jessie has been released

 -- David Prévot <taffit@debian.org>  Fri, 15 May 2015 11:14:35 -0400

cmocka (1.0.1-1) experimental; urgency=medium

  [ Andreas Schneider ]
  * include: Add macro for assert_ptr_equal().
  * Bump version to 1.0.1

 -- David Prévot <taffit@debian.org>  Sun, 15 Mar 2015 10:51:14 -0400

cmocka (1.0.0-1) experimental; urgency=medium

  [ Andreas Schneider ]
  * Add cmockery legacy header.
  * Bump version to 1.0.0.
  * Fix building with newer gcc versions (Closes: #777818)

  [ David Prévot ]
  * Update watch file
  * Update copyright
  * Install a cmockery header
  * Bump standards version to 3.9.6
  * Upload to experimental to respect the freeze

 -- David Prévot <taffit@debian.org>  Sun, 22 Feb 2015 15:44:49 -0400

cmocka (0.4.1-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Install configuration files for CMake (Closes: #749923)

 -- David Prévot <taffit@debian.org>  Fri, 30 May 2014 17:43:06 -0400

cmocka (0.4.1-1) unstable; urgency=medium

  [ Andreas Schneider ]
  * Bump version to 0.4.1.

 -- David Prévot <taffit@debian.org>  Fri, 23 May 2014 10:30:40 -0400

cmocka (0.4.0-1) unstable; urgency=medium

  [ Andreas Schneider ]
  * Bump version to 0.4.0.

  [ David Prévot ]
  * Use dh_doxygen to get rid of *.md5 and *.map files
  * Provide jQuery helper for cmocka-doc

 -- David Prévot <taffit@debian.org>  Sun, 13 Apr 2014 10:43:02 -0400

cmocka (0.3.2-1) unstable; urgency=low

  * Initial release (Closes: #731719)

 -- David Prévot <taffit@debian.org>  Sun, 08 Dec 2013 23:29:02 -0400
